# DickeModel.jl

*A toolkit for the quantum and classical Dicke model in Julia.*

This package contains numerical methods that allow to efficiently compute properties of the quantum and classical [Dicke model](https://en.wikipedia.org/wiki/Dicke_model), a fundamental model in quantum optics describing atoms interacting with light.

### Installation
 To install the package, use the following command inside the Julia REPL:
```julia
using Pkg
Pkg.add("DickeModel")
```
    
To load the package, run
```julia
using DickeModel
```

For usage, see:
###  [Documentation and examples](https://saulpila.github.io/DickeModel.jl/dev/)



